Bug 842035

Summary: [abrt] bacula-console-bat-5.2.10-1.fc17: e_msg: Process /usr/sbin/bat was killed by signal 11 (SIGSEGV)
Product: [Fedora] Fedora Reporter: Dave <dave>
Component: baculaAssignee: Simone Caronni <negativo17>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 17CC: andreas, fschwarz, limburgher, lnykryn, negativo17, vanmeeuwen+fedora
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Unspecified   
Whiteboard: abrt_hash:14fdb1cee4353a67c8090fd66b58bdcdb429cf67
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-07-23 02:36:23 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
File: build_ids
none
File: maps
none
File: dso_list
none
File: backtrace none

Description Dave 2012-07-21 00:33:12 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/sbin/bat -c /etc/bacula/bat.conf
crash_function: e_msg
executable:     /usr/sbin/bat
kernel:         3.4.4-5.fc17.i686.PAE
pid:            2750
pwd:            /home/dcatkin
time:           Wed 18 Jul 2012 09:47:24 PM PDT
uid:            1000
username:       dcatkin

backtrace:      Text file, 30390 bytes
build_ids:      Text file, 4879 bytes
dso_list:       Text file, 11081 bytes
maps:           Text file, 33820 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/dcatkin/2

core_backtrace:
:b0f60b1ab57bc96528d3cf576ed556d7e8c2ea69 0x2c0aa e_msg(char libbac-5.2.10.so -
:e021e985ef0966c8f170a0f0995fb52294ce172d 0x2df6a - [exe] -
:e021e985ef0966c8f170a0f0995fb52294ce172d 0x17031 - [exe] -
:b1fc8ec69a34458bab61c14c7735324473a5cffc 0x197cde QMetaObject::activate(QObject*, libQtCore.so.4 -
:b1fc8ec69a34458bab61c14c7735324473a5cffc 0x19efe6 - libQtCore.so.4 -
:b1fc8ec69a34458bab61c14c7735324473a5cffc 0x19f0ad - libQtCore.so.4 -
:b1fc8ec69a34458bab61c14c7735324473a5cffc 0x195aec QObject::event(QEvent*) libQtCore.so.4 -
:37b443869555e179fa92e7616c2dd0e5202cb46f 0x155ecc QApplicationPrivate::notify_helper(QObject*, libQtGui.so.4 -
:37b443869555e179fa92e7616c2dd0e5202cb46f 0x15a98f QApplication::notify(QObject*, libQtGui.so.4 -
:b1fc8ec69a34458bab61c14c7735324473a5cffc 0x17f5ee QCoreApplication::notifyInternal(QObject*, libQtCore.so.4 -
:b1fc8ec69a34458bab61c14c7735324473a5cffc 0x1b4610 - libQtCore.so.4 -
:b1fc8ec69a34458bab61c14c7735324473a5cffc 0x1b1619 - libQtCore.so.4 -
:b1fc8ec69a34458bab61c14c7735324473a5cffc 0x1b1653 - libQtCore.so.4 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x46feb g_main_context_dispatch libglib-2.0.so.0 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x47390 - libglib-2.0.so.0 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x47472 g_main_context_iteration libglib-2.0.so.0 -
:b1fc8ec69a34458bab61c14c7735324473a5cffc 0x1b1ca2 QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) libQtCore.so.4 -
:37b443869555e179fa92e7616c2dd0e5202cb46f 0x2083eb - libQtGui.so.4 -
:b1fc8ec69a34458bab61c14c7735324473a5cffc 0x17e08d QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) libQtCore.so.4 -
:b1fc8ec69a34458bab61c14c7735324473a5cffc 0x17e389 QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) libQtCore.so.4 -
:b1fc8ec69a34458bab61c14c7735324473a5cffc 0x1838cb QCoreApplication::exec() libQtCore.so.4 -
:37b443869555e179fa92e7616c2dd0e5202cb46f 0x153d25 QApplication::exec() libQtGui.so.4 -
:e021e985ef0966c8f170a0f0995fb52294ce172d 0x10144 - [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=home.69isfine.com
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:QTDIR=/usr/lib/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/dcatkin/keyring-yY7S74
:QTINC=/usr/lib/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=dcatkin
:USERNAME=dcatkin
:MAIL=/var/spool/mail/dcatkin
:PATH=/usr/lib/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/dcatkin/.local/bin:/home/dcatkin/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/dcatkin
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1307
:LANG=en_US.UTF-8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/dcatkin
:SHLVL=1
:LOGNAME=dcatkin
:QTLIB=/usr/lib/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-DYPBmGWBoh,guid=8f7758c0de0439cbf710ce260000002e
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/dcatkin
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-dcatkin-abTC4w/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1309,unix/unix:/tmp/.ICE-unix/1309
:SSH_AUTH_SOCK=/run/user/dcatkin/keyring-yY7S74/ssh
:GPG_AGENT_INFO=/run/user/dcatkin/keyring-yY7S74/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/fedora-bacula-bat.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=2750

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 15997                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       15997                15997                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/dcatkin/.xsession-errors
:pos:	5122
:flags:	02002
:2:/home/dcatkin/.xsession-errors
:pos:	5122
:flags:	02002
:3:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:4:pipe:[128858]
:pos:	0
:flags:	02004000
:5:pipe:[128858]
:pos:	0
:flags:	02004001
:6:socket:[128859]
:pos:	0
:flags:	02004002
:7:socket:[128860]
:pos:	0
:flags:	02004002
:8:socket:[128863]
:pos:	0
:flags:	02004002
:9:socket:[127981]
:pos:	0
:flags:	02000002
:10:socket:[129159]
:pos:	0
:flags:	02004002
:11:socket:[129837]
:pos:	0
:flags:	02000002

var_log_messages:
:Jul 18 21:46:12 home yum[2613]: Installed: bacula-console-bat-5.2.10-1.fc17.i686
:Jul 18 21:46:42 home bat: bsock.c:138 Unable to connect to Director daemon on localhost:9101. ERR=Connection refused
:Jul 18 21:46:59 home bat: bsock.c:138 Unable to connect to Director daemon on localhost:9101. ERR=Connection refused
:Jul 18 21:47:14 home bat: bsock.c:138 Unable to connect to Director daemon on localhost:9101. ERR=Connection refused
:Jul 18 21:47:23 home kernel: [ 1312.129846] bat[2750]: segfault at 0 ip b770c0aa sp bf9b95b0 error 6 in libbac-5.2.10.so[b76e0000+5e000]
:Jul 18 21:47:24 home abrt[2754]: Saved core dump of pid 2750 (/usr/sbin/bat) to /var/spool/abrt/ccpp-2012-07-18-21:47:24-2750 (28188672 bytes)
Comment 1 Dave 2012-07-21 00:33:24 EDT
Created attachment 599487 [details]
File: build_ids
Comment 2 Dave 2012-07-21 00:33:26 EDT
Created attachment 599488 [details]
File: maps
Comment 3 Dave 2012-07-21 00:33:27 EDT
Created attachment 599489 [details]
File: dso_list
Comment 4 Dave 2012-07-21 00:33:29 EDT
Created attachment 599490 [details]
File: backtrace
Comment 5 Simone Caronni 2012-07-23 02:36:23 EDT
Crash generated by Bat when trying to connect to a non answering director on localhost:9101. Sure Bat could have been written to avoid crashing, but that's it... upstream project has some patches pending for this.

This abrt bug pops out once every while, especially when users try to set up Bacula for the first time.

Backtrace:

#0  e_msg (file=0x812d82b "console/console.cpp", line=157, type=1, level=0, fmt=0x812dc78 "Failed to connect to %s for populateLists.\n") at message.c:1229
1229	message.c: No such file or directory.

Logs:

:Jul 18 21:47:14 home bat: bsock.c:138 Unable to connect to Director daemon on localhost:9101. ERR=Connection refused
:Jul 18 21:47:23 home kernel: [ 1312.129846] bat[2750]: segfault at 0 ip b770c0aa sp bf9b95b0 error 6 in libbac-5.2.10.so[b76e0000+5e000]